gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.UnixMountEntry

Contents

- Exported types

Description

Defines a Unix mount entry (e.g. <filename>/media/cdrom</filename>). This corresponds roughly to a mtab entry.

Synopsis

- newtype UnixMountEntry = UnixMountEntry (ManagedPtr UnixMountEntry)
- noUnixMountEntry :: Maybe UnixMountEntry

# Exported types

newtype UnixMountEntry Source #

Memory-managed wrapper type.

Constructors

UnixMountEntry (ManagedPtr UnixMountEntry) |

Instances

BoxedObject UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods boxedType :: UnixMountEntry -> IO GType Source #

noUnixMountEntry :: Maybe UnixMountEntry Source #

A convenience alias for `Nothing` :: `Maybe` `UnixMountEntry`.